datablock fxDTSBrickData (BrickZombieConstruction_HoleSpawnData : BrickCZombie_HoleSpawnData)
{
	uiName = "Construction Zombie Hole";
	holeBot = "ZombieConstructionHoleBot";
	iconName = "Add-Ons/Bot_Zombie_L4B2_EXT/Models/Icon/icon_construction";
};

datablock PlayerData(ZombieConstructionHoleBot : CZombieHoleBot)
{
	maxdamage = 60;//Health

	hName = "Infected";//cannot contain spaces

	hStrafe = 0;//Randomly strafe while following player

	hAttackDamage = 6;//15;//Melee Damage	
};

datablock ShapeBaseImageData(ConstructionVestImage)
{
	shapeFile = "./Models/Construction/vest.dts";
	emap = true;
	mountPoint = $BackSlot;
	offset = "0 0.0375 -0.3";
	eyeOffset = "0 0 0";
	rotation = eulerToMatrix("0 0 0");
	firstPerson = false;
		
	className = "WeaponImage";
	item = "";
		
   armReady = false;
   doColorShift = true;
   colorShiftColor = "1 0 0 1";
};

datablock shapeBaseImageData( ConstructionHelmetImage )
{
	shapeFile = "./Models/Construction/hat.dts";

	mountPoint = 5;
	offset = "0 -0.05 -0.0075";

	eyeOffset = "-9999 -9999 -9999";

	doColorShift = false;

	className = "WeaponImage";
	armReady = false;
};

function ZombieConstructionHoleBot::onAdd(%this,%obj,%style)
{
	CZombieHoleBot::onAdd(%this,%obj);
%obj.mountImage(ConstructionHelmetImage, 0);
%obj.mountImage(ConstructionVestImage, 1);
	//Apppearance Zombie

if( !$L4B2Bots::CustomStyle )
	{
	// colors
		%randskin[ %nrandskin = 0 ] = "0.55 0.55 0.55 1";
		%randskin[ %nrandskin++ ] = "0.7 0.7 0.7 1";
		%randskin[ %nrandskin++ ] = "0.25 0.25 0.25 1";

		%randskin = %randskin[ getRandom( 0, %nrandskin ) ];

		%color = "0.308411 0.458824 0.556075 1";
		%color2 = "0.0784314 0.0784314 0.0784314 1";
		%color3 = "0 0.141176 0.333333 1";
		

		%skinColor = %randskin;// getRandomBotColor();
		%handColor = %skinColor;
	
		%hatColor = %color;
		%packColor = %color2;
		%shirtColor = %color;

		%pantsColor = %color3;
		%shoeColor = %color2;

		//%decal = "AAA-None";
		// %face = "smiley";

		%face = "asciiTerror";
	
		
		%decal = "worm_engineer";
		
		%hat = 0;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 0;
	}

		if( $L4B2Bots::CustomStyle )
	{
	// colors
		%skinColor = "0.623 0.686 0.529 1";// getRandomBotColor();

		%color = "0.308411 0.458824 0.556075 1";
		%color2 = "0.0784314 0.0784314 0.0784314 1";
		%color3 = "0 0.141176 0.333333 1";
		%handColor = %skinColor;
	
		%hatColor = %color;
		%packColor = %color2;
		%shirtColor = %color;

		%pantsColor = %color3;
		%shoeColor = %color2;

		//%decal = "AAA-None";
		// %face = "smiley";

		// Face
		%face[ %nFace = 0 ] = "ZombieFaceA";
		%face[ %nFace++ ] = "ZombieFaceB";
		%face[ %nFace++ ] = "ZombieFaceC";
		%face[ %nFace++ ] = "ZombieFaceD";
		%face[ %nFace++ ] = "ZombieFaceE";
		%face[ %nFace++ ] = "ZombieFaceF";
		%face[ %nFace++ ] = "ZombieFaceG";
		%face[ %nFace++ ] = "ZombieFaceI";
		
		%face = %face[ getRandom( 0, %nFace ) ];
	
		
		%decal = "worm_engineer";
		
		%hat = 0;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 0;
	}
	
	// accent
	%obj.accentColor = %accentColor;
	%obj.accent =  %accent;
	
	// hat
	%obj.hatColor = %hatColor;
	%obj.hat = %hat;
	
	// head
	%obj.headColor = %skinColor;
	%obj.faceName = %face;
	
	// chest
	%obj.chest =  "0";

	%obj.decalName = %decal;
	%obj.chestColor = %shirtColor;
		
	// packs
	%obj.pack =  %pack;
	%obj.packColor =  %packColor;

	%obj.secondPack =  %pack2;
	%obj.secondPackColor =  %packColor;
		
	// left arm
	%obj.larm =  "0";
	%obj.larmColor = %shirtColor;
	
	%obj.lhand =  "0";
	%obj.lhandColor = %handColor;
	
	// right arm
	%obj.rarm =  "0";
	%obj.rarmColor = %shirtColor;
	
	%obj.rhandColor = %handColor;
	%obj.rhand =  "0";
	
	// hip
	%obj.hip =  "0";
	%obj.hipColor = %pantsColor;
	
	// left leg
	%obj.lleg =  "0";
	%obj.llegColor = %shoeColor;
	
	// right leg
	%obj.rleg =  "0";
	%obj.rlegColor = %shoeColor;

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);

	%obj.hCanDistract = 0;
}

function ZombieConstructionHoleBot::onDamage(%this,%obj)
{
CZombieHoleBot::OnDamage(%this,%obj);
}

function ZombieConstructionHoleBot::onDisabled(%this,%obj)
{
	CZombieHoleBot::OnDisabled(%this,%obj);
}

function ZombieConstructionHoleBot::onBotLoop(%this,%obj)
{
CZombieHoleBot::onBotLoop(%this,%obj);	
}

function ZombieConstructionHoleBot::onBotFollow( %this, %obj, %targ )
{
CZombieHoleBot::onBotFollow( %this, %obj, %targ );	
}

function ZombieConstructionHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	CZombieHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}