datablock fxDTSBrickData (BrickToxicZombie_HoleSpawnData : BrickCZombie_HoleSpawnData)
{
	uiName = "Toxic Zombie Hole";
	iconName = "Add-Ons/Bot_Zombie_L4B2_EXT/Models/Icon/icon_toxic";

	holeBot = "ToxicZombieHoleBot";
};

datablock PlayerData(ToxicZombieHoleBot : CZombieHoleBot)
{
	hName = "Toxic";//cannot contain spaces
};

function ToxicZombieHoleBot::onAdd(%this,%obj,%style)
{
	CZombieHoleBot::onAdd(%this,%obj);
	//Apppearance Zombie

if( !$L4B2Bots::CustomStyle )
	{
	// colors
		%randskin[ %nrandskin = 0 ] = "0.1 0.7 0.2 1";
		%randskin[ %nrandskin++ ] = "0.25 0.85 0.3 1";
		%randskin[ %nrandskin++ ] = "0.4 1 0.5 1";
		
		%randskin = %randskin[ getRandom( 0, %nrandskin ) ];

		%skinColor = %randskin;// getRandomBotColor();
		%handColor = %skinColor;
	
		%hatColor = getRandomBotColor();
		%packColor = getRandomBotColor();
		%shirtColor = %skinColor;
		%pantsColor = %skinColor;
		%shoeColor = %skinColor;

		//%decal = "AAA-None";
		// %face = "smiley";

		%face = "asciiTerror";
	
		
		%decal = "";
		
		%hat = 0;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 0;
	}

		if( $L4B2Bots::CustomStyle )
	{
	// colors
		%skinColor = "0.423 0.686 0.329 1";// getRandomBotColor();
		%handColor = %skinColor;
	
		%hatColor = getRandomBotColor();
		%packColor = getRandomBotColor();
		%shirtColor = %skinColor;
		%pantsColor = %skinColor;
		%shoeColor = %skinColor;

		//%decal = "AAA-None";
		// %face = "smiley";

		// Face
		%face[ %nFace = 0 ] = "ZombieFaceA";
		%face[ %nFace++ ] = "ZombieFaceB";
		%face[ %nFace++ ] = "ZombieFaceC";
		%face[ %nFace++ ] = "ZombieFaceD";
		%face[ %nFace++ ] = "ZombieFaceE";
		%face[ %nFace++ ] = "ZombieFaceF";
		%face[ %nFace++ ] = "ZombieFaceG";
		%face[ %nFace++ ] = "ZombieFaceI";
		
		%face = %face[ getRandom( 0, %nFace ) ];
	
		
		%decal = "";
		
		%hat = 0;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 0;
	}
	

	// accent
	%obj.accentColor = %accentColor;
	%obj.accent =  %accent;
	
	// hat
	%obj.hatColor = %hatColor;
	%obj.hat = %hat;
	
	// head
	%obj.headColor = %skinColor;
	%obj.faceName = %face;
	
	// chest
	%obj.chest =  getRandom(0,1);//This is what determines the death sound and hurt sound for the zombies, leave the numbers as they are or this will break the functionality commented below.

	//ZombiePain2Sound,ZombieDeath2Sound, and ZombieAlert2Sound are the female variants that will be checked by the functions below.
	//ZombiePainSound,ZombieDeathSound, and ZombieAlertSound are the default variants that will be checked by the functions below.

	%obj.decalName = %decal;
	%obj.chestColor = %shirtColor;
		
	// packs
	%obj.pack =  %pack;
	%obj.packColor =  %packColor;

	%obj.secondPack =  %pack2;
	%obj.secondPackColor =  "0 0.435 0.831 1";
		
	// left arm
	%obj.larm =  "0";
	%obj.larmColor = %shirtColor;
	
	%obj.lhand =  "0";
	%obj.lhandColor = %handColor;
	
	// right arm
	%obj.rarm =  "0";
	%obj.rarmColor = %shirtColor;
	
	%obj.rhandColor = %handColor;
	%obj.rhand =  "0";
	
	// hip
	%obj.hip =  "0";
	%obj.hipColor = %pantsColor;
	
	// left leg
	%obj.lleg =  "0";
	%obj.llegColor = %shoeColor;
	
	// right leg
	%obj.rleg =  "0";
	%obj.rlegColor = %shoeColor;

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);

%obj.mountImage(SpitAcidStatusPlayerImage, 0);
}

function ToxicZombieHoleBot::onDamage(%this,%obj)
{
	CZombieHoleBot::OnDamage(%this,%obj);
}

function ToxicZombieHoleBot::onDisabled(%this,%obj)
{
	//%obj.spawnExplosion(ChemGrenadeProjectile, 1);
	CZombieHoleBot::OnDisabled(%this,%obj);
}

function ToxicZombieHoleBot::onBotLoop(%this,%obj)
{
	CZombieHoleBot::onBotLoop(%this,%obj);

	%obj.playaudio(0,"ZombieNCough" @ getrandom(1,4) @ "Sound");

	if($L4B2Bots::LimitedLifetime)
	{
	%obj.addHealth(-5);
	}
}

function ToxicZombieHoleBot::onBotFollow( %this, %obj, %targ )
{
	%pos1 = %obj.getPosition();
	%pos2 = %targ.getPosition();

			if(%targ.hType !$= %obj.hType && isObject(getMiniGameFromObject(%obj)))
		{

			if(!%obj.raisearms)
		{	
			%obj.playthread(1,"armReadyboth");
			%obj.raisearms = 1;
		}	

		}
	
	// echo( "Enaged @" SPC vectorDist( %pos1, %pos2 )*2 );
	// %obj.kill();
}

function ToxicZombieHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm, %damage, %source)
{
	Parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	if(isObject(%col) && %col.getType() & $TypeMasks::PlayerObjectType)//Check if collision is a player or AIplayer, also check if were in a minigame
	{
		if(%col.getdataBlock().getName() !$= "ToxicZombieHoleBot" && %col.getstate() !$= "Dead" && %obj.getstate() !$= "Dead")//Play animation and sound if their hType doesn't equal zombie, also make sure they or we aren't dead
		{
			if(!%col.Toxified && isObject(getMiniGameFromObject(%obj)) && miniGameCanDamage(%obj,%col))//Time for the killing stroke
			{
				%col.Toxified = 1;
				Toxicity(%col,%obj);
			}

		}
	}
}

AddDamageType("Toxic", '<bitmap:base/client/ui/CI/skull> %1', '%2 <bitmap:base/client/ui/CI/skull> %1', 0.2, 1);
function Toxicity(%col,%obj)
{
      if(isObject(%col) && %col.getState() !$= "Dead" && %col.Toxified && %col.ToxicityCount !$= "8")//For bots/players that aren't part of the team the obj is in   
      {
         %col.ToxicityCount++;
         %col.ToxicSchedule = schedule(500,0,Toxicity,%col,%obj);
         %col.mountImage(SpitAcidStatusPlayerImage, 2);

         if(isObject(%obj))
            {
               %col.damage(%obj.hFakeProjectile, %col.getposition(), 2, $DamageType::Toxic);
            }
         else %col.damage(%col, %col.getposition(), 2, $DamageType::Toxic);

         if(isObject(%obj) && isObject(%col) && %col.hCanDistract)
            {
               %col.hRunAwayFromPlayer(%obj);
            }
         else if(!isObject(%obj))
            {
               return;
            }
      }

         else if(%col.ToxicityCount $= "8")
         {
            %col.Toxified = 0;
            %col.ToxicityCount = 0;

            if(isObject(%col.getMountedImage(2)) && %col.getMountedImage(2).getName() $= "SpitAcidStatusPlayerImage")
               {
                  %col.unMountImage(2);
               }
         }
}