// ============================================================
// Table of Contents

// 1. Kevlar Sounds
// 2. Bile Bomb Sounds
// 3. Pipebomb Sounds
// ============================================================

// ============================================================
//1 : Kevlar Sounds 
// ============================================================
datablock AudioProfile(KevlarHit1)
{
	fileName = "./Sound/kevlarhit1.wav";
	description = AudioClosest3d;
	preload = true;
};
datablock AudioProfile(KevlarHit2)
{
	fileName = "./Sound/kevlarhit2.wav";
	description = AudioClosest3d;
	preload = true;
};
datablock AudioProfile(KevlarHit3)
{
	fileName = "./Sound/kevlarhit3.wav";
	description = AudioClosest3d;
	preload = true;
};

// ============================================================
//2 : Bile Bomb Sounds 
// ============================================================
datablock AudioProfile(BileExplodeSound)
{
   filename    = "./Sound/BileJar_explode.wav";
   description = AudioClose3d;
   preload = true;
};

// ============================================================
//3 : Pipebomb Sounds 
// ============================================================
datablock AudioProfile(pipeExplodeSound)
{
   filename    = "./Sound/pipeExplode.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock AudioProfile(pipeStartSound)
{
   filename    = "./Sound/pipeStart.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(pipeLoopSound)
{
   filename    = "./Sound/pipeLoop.wav";
   description = AudioClosestLooping3d;
   preload = true;
};

datablock AudioProfile(pipeBounceSound)
{
   filename    = "./Sound/pipeBounce.wav";
   description = AudioClosest3d;
   preload = true;
};