datablock fxDTSBrickData (BrickZombieFallen_HoleSpawnData : BrickCZombie_HoleSpawnData)
{
	uiName = "Fallen Zombie Hole";
	holeBot = "ZombieFallenHoleBot";
	iconName = "Add-Ons/Bot_Zombie_L4B2_EXT/Models/Icon/icon_Fallen";
};

datablock PlayerData(ZombieFallenHoleBot : CZombieHoleBot)
{
	maxdamage = 100;//Health
	hName = "Infected";//cannot contain spaces
	hMelee = 0;
};

function ZombieFallenHoleBot::onAdd(%this,%obj,%style)
{
	CZombieHoleBot::onAdd(%this,%obj);
	//Apppearance Zombie

if( !$L4B2Bots::CustomStyle )
	{
	// colors
		%randskin[ %nrandskin = 0 ] = "0.55 0.55 0.55 1";
		%randskin[ %nrandskin++ ] = "0.7 0.7 0.7 1";
		%randskin[ %nrandskin++ ] = "0.25 0.25 0.25 1";

		%randskin = %randskin[ getRandom( 0, %nrandskin ) ];

		%color = "0.000 0.500 0.250 1.000";
		%color2 = "0.200 0.200 0.200 1.000";
		%color3 = "0.100 0.100 0.100 1.000";
		%color4 = "0.392157 0.196078 0 1";
		

		%skinColor = %randskin;// getRandomBotColor();
		%handColor = %skinColor;
	
		%hatColor = %color2;
		%packColor = %color4;
		%shirtColor = %color;

		%pantsColor = %color2;
		%shoeColor = %color3;
		%accentColor = getRandomBotColor();

		//%decal = "AAA-None";
		// %face = "smiley";

		%face = "asciiTerror";
	
		
		%decal = "Hoodie";
		
		%hat = 7;
		
		%pack = 4;
		%pack2 = 0;	
		%accent = 1;
	}

		if( $L4B2Bots::CustomStyle )
	{
	// colors
		%skinColor = "0.623 0.686 0.529 1";// getRandomBotColor();

		%color = "0.000 0.500 0.250 1.000";
		%color2 = "0.200 0.200 0.200 1.000";
		%color3 = "0.200 0.200 0.200 1.000";
		%color4 = "0.392157 0.196078 0 1";
		%handColor = %skinColor;
	
		%hatColor = %color2;
		%packColor = %color4;
		%shirtColor = %color;

		%pantsColor = %color3;
		%shoeColor = %color3;
		%accentColor = getRandomBotColor();
		//%decal = "AAA-None";
		// %face = "smiley";

		// Face
		%face[ %nFace = 0 ] = "ZombieFaceA";
		%face[ %nFace++ ] = "ZombieFaceB";
		%face[ %nFace++ ] = "ZombieFaceC";
		%face[ %nFace++ ] = "ZombieFaceD";
		%face[ %nFace++ ] = "ZombieFaceE";
		%face[ %nFace++ ] = "ZombieFaceF";
		%face[ %nFace++ ] = "ZombieFaceG";
		%face[ %nFace++ ] = "ZombieFaceI";
		
		%face = %face[ getRandom( 0, %nFace ) ];
	
		
		%decal = "Hoodie";
		
		%hat = 7;
		
		%pack = 4;
		%pack2 = 0;
		%accent = 1;
	}
	
	// accent
	%obj.accentColor = %accentColor;
	%obj.accent =  %accent;
	
	// hat
	%obj.hatColor = %hatColor;
	%obj.hat = %hat;
	
	// head
	%obj.headColor = %skinColor;
	%obj.faceName = %face;
	
	// chest
	%obj.chest =  getRandom(0,1);

	%obj.decalName = %decal;
	%obj.chestColor = %shirtColor;
		
	// packs
	%obj.pack =  %pack;
	%obj.packColor =  %packColor;

	%obj.secondPack =  %pack2;
	%obj.secondPackColor =  %packColor;
		
	// left arm
	%obj.larm =  "0";
	%obj.larmColor = %shirtColor;
	
	%obj.lhand =  "0";
	%obj.lhandColor = %handColor;
	
	// right arm
	%obj.rarm =  "0";
	%obj.rarmColor = %shirtColor;
	
	%obj.rhandColor = %handColor;
	%obj.rhand =  "0";
	
	// hip
	%obj.hip =  "0";
	%obj.hipColor = %pantsColor;
	
	// left leg
	%obj.lleg =  "0";
	%obj.llegColor = %shoeColor;
	
	// right leg
	%obj.rleg =  "0";
	%obj.rlegColor = %shoeColor;

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
}

function ZombieFallenHoleBot::OnBotFollow(%this,%obj,%targ)
{
			if(%targ.hType !$= %obj.hType && %obj.lastsaw+getRandom(1000,4000) < getsimtime())//Main function, makes the zombie raise their arms, play an animation and do the annoying sounds
		{	

	%obj.lastsaw = getsimtime();
	%obj.playthread(2,plant);

	if(%obj.chest $= "0")//Check if the chest is the male variant
		{
			%obj.playaudio(0,"MZombieDeath" @ getrandom(1,4) @ "Sound");
		}
	else %obj.playaudio(0,"FZombieDeath" @ getrandom(1,4) @ "Sound");

		}
}

function ZombieFallenHoleBot::onDamage(%this,%obj)
{
CZombieHoleBot::OnDamage(%this,%obj);
}

function ZombieFallenHoleBot::onDisabled(%this,%obj)
{
	CZombieHoleBot::OnDisabled(%this,%obj);
}

function BrickZombieFallen_HoleSpawnData::onPlant(%data,%obj)
{	
	Parent::onPlant(%data, %obj);

	%obj.addEvent(1,0,"onBotDeath","Self","botSpawnLoot","sPipeBombItem","50");
}