datablock fxDTSBrickData (BrickZombieFast_HoleSpawnData : BrickCZombie_HoleSpawnData)
{
	uiName = "Fast Zombie Hole";
	holeBot = "ZombieFastHoleBot";
};

datablock PlayerData(ZombieFastHoleBot : CZombieHoleBot)
{
	jumpForce = 9.5*125;
	speedDamageScale = 0.1;

    maxUnderwaterForwardSpeed = 30;
    maxUnderwaterSideSpeed = 29;
	maxUnderwaterBackwardSpeed = 28;

	maxdamage = 30;//Health

	hName = "Infected";//cannot contain spaces
	hTickRate = 5000;

	hStrafe = 0;//Randomly strafe while following player

	hAttackDamage = 8;//15;//Melee Damage	
	
	hSpazJump = 1;//Makes bot jump when the user their following is higher than them
};

function ZombieFastHoleBot::onAdd(%this,%obj,%style)
{

	CZombieHoleBot::onAdd(%this,%obj);

	//Apppearance Zombie

if( !$L4B2Bots::CustomStyle )
	{
	// colors
		%randskin[ %nrandskin = 0 ] = "0.55 0.55 0.55 1";
		%randskin[ %nrandskin++ ] = "0.7 0.7 0.7 1";
		%randskin[ %nrandskin++ ] = "0.25 0.25 0.25 1";
		
		%randskin = %randskin[ getRandom( 0, %nrandskin ) ];

		%skinColor = %randskin;// getRandomBotColor();
		%handColor = %skinColor;
	
		%hatColor = getRandomBotColor();
		%packColor = getRandomBotColor();
		%shirtColor = %skinColor;

		%pantsColor = "0.25 0.25 0.25 1";
		%shoeColor = "0.25 0.25 0.25 1";

		//%decal = "AAA-None";
		// %face = "smiley";

		%face = "asciiTerror";
	
		
		%decal = "HCZombie";
		
		%hat = 0;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 0;
	}

		if( $L4B2Bots::CustomStyle )
	{
	// colors
		%skinColor = "0.623 0.686 0.529 1";// getRandomBotColor();
		%handColor = %skinColor;
	
		%hatColor = getRandomBotColor();
		%packColor = getRandomBotColor();
		%shirtColor = %skinColor;
		
		%pantsColor = "0.25 0.25 0.25 1";
		%shoeColor = "0.25 0.25 0.25 1";

		//%decal = "AAA-None";
		// %face = "smiley";

		// Face
		%face[ %nFace = 0 ] = "ZombieFaceA";
		%face[ %nFace++ ] = "ZombieFaceB";
		%face[ %nFace++ ] = "ZombieFaceC";
		%face[ %nFace++ ] = "ZombieFaceD";
		%face[ %nFace++ ] = "ZombieFaceE";
		%face[ %nFace++ ] = "ZombieFaceF";
		%face[ %nFace++ ] = "ZombieFaceG";
		%face[ %nFace++ ] = "ZombieFaceI";
		
		%face = %face[ getRandom( 0, %nFace ) ];
	
		
		%decal = "HCZombie";
		
		%hat = 0;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 0;
	}
	
	// accent
	%obj.accentColor = %accentColor;
	%obj.accent =  %accent;
	
	// hat
	%obj.hatColor = %hatColor;
	%obj.hat = %hat;
	
	// head
	%obj.headColor = %skinColor;
	%obj.faceName = %face;
	
	// chest
	%obj.chest =  getRandom(0,1);//This is what determines the death sound and hurt sound for the zombies, leave the numbers as they are or this will break the functionality commented below.

	//ZombiePain2Sound,ZombieDeath2Sound, and ZombieAlert2Sound are the female variants that will be checked by the functions below.
	//ZombiePainSound,ZombieDeathSound, and ZombieAlertSound are the default variants that will be checked by the functions below.

	%obj.decalName = %decal;
	%obj.chestColor = %shirtColor;
		
	// packs
	%obj.pack =  %pack;
	%obj.packColor =  %packColor;

	%obj.secondPack =  %pack2;
	%obj.secondPackColor =  "0 0.435 0.831 1";
		
	// left arm
	%obj.larm =  "0";
	%obj.larmColor = %shirtColor;
	
	%obj.lhand =  "0";
	%obj.lhandColor = %handColor;
	
	// right arm
	%obj.rarm =  "0";
	%obj.rarmColor = %shirtColor;
	
	%obj.rhandColor = %handColor;
	%obj.rhand =  "0";
	
	// hip
	%obj.hip =  "0";
	%obj.hipColor = %pantsColor;
	
	// left leg
	%obj.lleg =  "0";
	%obj.llegColor = %shoeColor;
	
	// right leg
	%obj.rleg =  "0";
	%obj.rlegColor = %shoeColor;

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
	
}

function ZombieFastHoleBot::onDamage(%this,%obj)
{
	//BreakBrickTest(%obj);
	//schedule(%obj.getDatablock().hTickRate/2,0,BreakBrickTest,%obj);
CZombieHoleBot::OnDamage(%this,%obj);
}

function ZombieFastHoleBot::onDisabled(%this,%obj)
{
	//BreakBrickTest(%obj);
	//schedule(%obj.getDatablock().hTickRate/2,0,BreakBrickTest,%obj);
	CZombieHoleBot::OnDisabled(%this,%obj);
}

function ZombieFastHoleBot::onBotLoop(%this,%obj)
{
CZombieHoleBot::onBotLoop(%this,%obj);	

			if(!%obj.hFollowing)
		{
	%obj.setMaxForwardSpeed(ZombieFastHoleBot.MaxForwardSpeed=9);
	%obj.setMaxForwardSpeed(ZombieFastHoleBot.maxUnderwaterForwardSpeed=9);
		}
	//BreakBrickTest(%obj);
	//schedule(%obj.getDatablock().hTickRate/2,0,BreakBrickTest,%obj);
}

function ZombieFastHoleBot::onBotFollow( %this, %obj, %targ )
{
CZombieHoleBot::onBotFollow( %this, %obj, %targ );	
	// echo( "Enaged @" SPC vectorDist( %pos1, %pos2 )*2 );
	// %obj.kill();

	if(%targ.hType !$= %obj.hType)
		{
			%obj.setMaxForwardSpeed(12);
			%obj.setmaxUnderwaterForwardSpeed(12);
		}
}

function ZombieFastHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	CZombieHoleBot::oncollision(%this, %obj, %col, %fade, %pos, %norm);
}