datablock fxDTSBrickData (BrickZombieCeda_HoleSpawnData : BrickCZombie_HoleSpawnData)
{
	uiName = "Ceda Zombie Hole";
	holeBot = "ZombieCedaHoleBot";
	iconName = "Add-Ons/Bot_Zombie_L4B2_EXT/Models/Icon/icon_ceda";
};

datablock PlayerData(ZombieCedaHoleBot : CZombieHoleBot)
{
	maxdamage = 60;//Health

	hName = "Infected";//cannot contain spaces
	noBurning = 1;

	hStrafe = 0;//Randomly strafe while following player

	hAttackDamage = 6;//15;//Melee Damage	
};

function ZombieCedaHoleBot::onAdd(%this,%obj,%style)
{
	CZombieHoleBot::onAdd(%this,%obj);

	//Apppearance Zombie

if( !$L4B2Bots::CustomStyle )
	{
	// colors
		%randskin[ %nrandskin = 0 ] = "0.55 0.55 0.55 1";
		%randskin[ %nrandskin++ ] = "0.7 0.7 0.7 1";
		%randskin[ %nrandskin++ ] = "0.25 0.25 0.25 1";

		%suitcolor = "0.9 0.9 0.454545 1";
		%suitcolor2 = "0.727273 0.727273 0.181818 1";
		%suitcolor3 = "0.0784314 0.0784314 0.0784314 1";
		
		%randskin = %randskin[ getRandom( 0, %nrandskin ) ];

		%skinColor = %randskin;// getRandomBotColor();
		%handColor = %suitcolor3;
	
		%hatColor = %suitcolor;
		%packColor = %suitcolor2;
		%shirtColor = %suitcolor;

		%pantsColor = %suitcolor;
		%shoeColor = %suitcolor3;
		%accentColor =  "0.100 0.100 0.100 0.700";

		//%decal = "AAA-None";
		// %face = "smiley";

		%face = "asciiTerror";
	
		
		%decal = "AAA-None";
		
		%hat = 1;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 1;
	}

		if( $L4B2Bots::CustomStyle )
	{
	// colors
		%skinColor = "0.623 0.686 0.529 1";// getRandomBotColor();

		%suitcolor = "0.9 0.9 0.454545 1";
		//%suitcolor2 = "0.727273 0.727273 0.181818 1";
		%suitcolor3 = "0.0784314 0.0784314 0.0784314 1";
	
		%handColor = %suitcolor3;
	
		%hatColor = %suitcolor;
		%packColor = %suitcolor2;
		%shirtColor = %suitcolor;

		%pantsColor = %suitcolor;
		%shoeColor = %suitcolor3;
		%accentColor =  "0.100 0.100 0.100 0.700";

		//%decal = "AAA-None";
		// %face = "smiley";

		// Face
		%face[ %nFace = 0 ] = "ZombieFaceA";
		%face[ %nFace++ ] = "ZombieFaceB";
		%face[ %nFace++ ] = "ZombieFaceC";
		%face[ %nFace++ ] = "ZombieFaceD";
		%face[ %nFace++ ] = "ZombieFaceE";
		%face[ %nFace++ ] = "ZombieFaceF";
		%face[ %nFace++ ] = "ZombieFaceG";
		%face[ %nFace++ ] = "ZombieFaceI";
		
		%face = %face[ getRandom( 0, %nFace ) ];
	
		
		%decal = "AAA-None";
		
		%hat = 1;
		
		%pack = 0;
		%pack2 = 0;
		%accent = 1;
	}
	
	// accent
	%obj.accentColor = %accentColor;
	%obj.accent =  %accent;
	
	// hat
	%obj.hatColor = %hatColor;
	%obj.hat = %hat;
	
	// head
	%obj.headColor = %skinColor;
	%obj.faceName = %face;
	
	// chest
	%obj.chest =  getRandom(0,1);//This is what determines the death sound and hurt sound for the zombies, leave the numbers as they are or this will break the functionality commented below.

	//ZombiePain2Sound,ZombieDeath2Sound, and ZombieAlert2Sound are the female variants that will be checked by the functions below.
	//ZombiePainSound,ZombieDeathSound, and ZombieAlertSound are the default variants that will be checked by the functions below.

	%obj.decalName = %decal;
	%obj.chestColor = %shirtColor;
		
	// packs
	%obj.pack =  %pack;
	%obj.packColor =  %packColor;

	%obj.secondPack =  %pack2;
	%obj.secondPackColor =  %packColor;
		
	// left arm
	%obj.larm =  "0";
	%obj.larmColor = %shirtColor;
	
	%obj.lhand =  "0";
	%obj.lhandColor = %handColor;
	
	// right arm
	%obj.rarm =  "0";
	%obj.rarmColor = %shirtColor;
	
	%obj.rhandColor = %handColor;
	%obj.rhand =  "0";
	
	// hip
	%obj.hip =  "0";
	%obj.hipColor = %pantsColor;
	
	// left leg
	%obj.lleg =  "0";
	%obj.llegColor = %shoeColor;
	
	// right leg
	%obj.rleg =  "0";
	%obj.rlegColor = %shoeColor;

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
}

function ZombieCedaHoleBot::onDamage(%this,%obj)
{
CZombieHoleBot::OnDamage(%this,%obj);
}

function ZombieCedaHoleBot::onDisabled(%this,%obj)
{
	CZombieHoleBot::OnDisabled(%this,%obj);
}

function ZombieCedaHoleBot::onBotLoop(%this,%obj)
{
CZombieHoleBot::onBotLoop(%this,%obj);	
}

function ZombieCedaHoleBot::onBotFollow( %this, %obj, %targ )
{
CZombieHoleBot::onBotFollow( %this, %obj, %targ );	
}

function ZombieCedaHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	CZombieHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}

function BrickZombieCeda_HoleSpawnData::onPlant(%data,%obj)
{	
	Parent::onPlant(%data, %obj);

	%obj.addEvent(1,0,"onBotDeath","Self","botSpawnLoot","BileBombItem","25");
}