datablock fxDTSBrickData (BrickSlowZombie_HoleSpawnData : BrickCZombie_HoleSpawnData)
{
	uiName = "Slow Zombie Hole";
	holeBot = "SlowZombieHoleBot";
};

datablock PlayerData(SlowZombieHoleBot : CZombieHoleBot)
{
    maxForwardSpeed = 6;
    maxBackwardSpeed = 2;
    maxSideSpeed = 3;

 	maxForwardCrouchSpeed = 2;
    maxBackwardCrouchSpeed = 1;
    maxSideCrouchSpeed = 1;

	maxdamage = 75;//Health

	hName = "Infected";//cannot contain spaces
	hAttackDamage = 8;//15;//Melee Damage

};

function SlowZombieHoleBot::onAdd(%this,%obj,%style)
{
	CZombieHoleBot::onAdd(%this,%obj);
}

function SlowZombieHoleBot::onDamage(%this,%obj)
{
	CZombieHoleBot::OnDamage(%this,%obj);
}

function SlowZombieHoleBot::onDisabled(%this,%obj)
{
	CZombieHoleBot::OnDisabled(%this,%obj);
}

function SlowZombieHoleBot::onBotLoop(%this,%obj)
{
		if(!%obj.hFollowing)
	{
		%obj.raisearms = 0;
		%obj.playthread(1,"root");

			if(%obj.hType $= "Zombie" && %obj.hIgnore)
		{
			%obj.hIgnore = 0;
		}
	}
}

function SlowZombieHoleBot::onBotFollow( %this, %obj, %targ )
{
		if(%targ.hType !$= %obj.hType && %obj.lastsaw+getRandom(1000,4000) < getsimtime())//Main function, makes the zombie raise their arms, play an animation and do the annoying sounds
		{

			if(!%obj.raisearms)
		{	
			%obj.playthread(1,"armReadyboth");
			%obj.raisearms = 1;
		}	

	%obj.lastsaw = getsimtime();
	%obj.playthread(2,plant);

	if(%obj.chest $= "0")//Check if the chest is the male variant
		{
			%obj.playaudio(1,"MZombieAlert" @ getrandom(1,4) @ "Sound");
		}
	else %obj.playaudio(1,"FZombieAlert" @ getrandom(1,4) @ "Sound");

		}
}

function SlowZombieHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	CZombieHoleBot::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}